# SPDX-FileCopyrightText: 2024 UL Research Institutes
# SPDX-License-Identifier: Apache-2.0

repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: "v4.6.0"
    hooks:
      - id: check-added-large-files
      - id: check-merge-conflict
      - id: end-of-file-fixer
      - id: fix-byte-order-marker
      - id: trailing-whitespace
  - repo: https://gitlab.com/buildgarden/pipelines/detect-secrets
    rev: "0.2.1"
    hooks:
      - id: detect-secrets
  - repo: https://gitlab.com/buildgarden/pipelines/prettier
    rev: "0.3.2"
    hooks:
      - id: prettier
  - repo: https://gitlab.com/buildgarden/pipelines/skywalking-eyes
    rev: "0.2.1"
    hooks:
      - id: license-eye-header-fix
  - repo: https://gitlab.com/buildgarden/tools/badgie
    rev: "0.12.0"
    hooks:
      - id: badgie
  - repo: https://gitlab.com/buildgarden/tools/cici-tools
    rev: "0.7.0"
    hooks:
      - id: cici-update
  - repo: https://gitlab.com/buildgarden/pipelines/opentofu
    rev: "0.8.1"
    hooks:
      - id: opentofu-fmt
      - id: opentofu-trivy
      - id: opentofu-validate
